#include "qpiconfigplugin.h"

#include "qpiconfigwidget.h"

#include <QtCore/QtPlugin>


QPIConfigPlugin::QPIConfigPlugin(QObject * parent): QObject(parent) {
	m_initialized = false;
}


void QPIConfigPlugin::initialize(QDesignerFormEditorInterface * /* core */) {
	if (m_initialized) return;

	// Add extension registrations, etc. here

	m_initialized = true;
}


bool QPIConfigPlugin::isInitialized() const {
	return m_initialized;
}


QWidget * QPIConfigPlugin::createWidget(QWidget * parent) {
	return new QPIConfigWidget(parent, 0, false);
}


QString QPIConfigPlugin::name() const {
	return QLatin1String("QPIConfigWidget");
}


QString QPIConfigPlugin::group() const {
	return QLatin1String("Editor Widgets");
}


QIcon QPIConfigPlugin::icon() const {
	return QIcon();
}


QString QPIConfigPlugin::toolTip() const {
	return QLatin1String("");
}


QString QPIConfigPlugin::whatsThis() const {
	return QLatin1String("");
}


bool QPIConfigPlugin::isContainer() const {
	return false;
}


QString QPIConfigPlugin::domXml() const {
	return QLatin1String("<widget class=\"QPIConfigWidget\" name=\"piConfigWidget\">\n</widget>\n");
}


QString QPIConfigPlugin::includeFile() const {
	return QLatin1String("qpiconfigwidget.h");
}
